OpenVDB: openvdb::v9_1::tools::composite Namespace Reference

OpenVDB 9.1.0

Functions
openvdb::v9_1::tools::composite Namespace Reference

## Functions
template<typename T >
const std::enable_if<!VecTraits< T >::IsVec, T >::type & | min (const T &a, const T &b)
template<typename T >
const std::enable_if<!VecTraits< T >::IsVec, T >::type & | max (const T &a, const T &b)
template<typename T >
const std::enable_if< VecTraits< T >::IsVec, T >::type & | min (const T &a, const T &b)
template<typename T >
const std::enable_if< VecTraits< T >::IsVec, T >::type & | max (const T &a, const T &b)
template<typename T >
std::enable_if<!std::is_integral< T >::value, T >::type | divide (const T &a, const T &b)
template<typename T >
std::enable_if< std::is_integral< T >::value, T >::type | divide (const T &a, const T &b)
bool | divide (bool a, bool)

## Function Documentation

## ◆ divide() [1/3]

bool openvdb::v9_1::tools::composite::divide | ( | bool | a,
|  | bool |
| ) |  |
| inline

## ◆ divide() [2/3]

std::enable_if<!std::is_integral< T >::value, T >::type openvdb::v9_1::tools::composite::divide | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline

## ◆ divide() [3/3]

std::enable_if< std::is_integral< T >::value, T >::type openvdb::v9_1::tools::composite::divide | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline

## ◆ max() [1/2]

const std::enable_if<!VecTraits< T >::IsVec, T >::type & openvdb::v9_1::tools::composite::max | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline

## ◆ max() [2/2]

const std::enable_if< VecTraits< T >::IsVec, T >::type & openvdb::v9_1::tools::composite::max | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline

## ◆ min() [1/2]

const std::enable_if<!VecTraits< T >::IsVec, T >::type & openvdb::v9_1::tools::composite::min | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline

## ◆ min() [2/2]

const std::enable_if< VecTraits< T >::IsVec, T >::type & openvdb::v9_1::tools::composite::min | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline